Class | RI::OverstrikeFormatter
In: | rdoc/ri/ri_formatter.rb
Parent: | AttributeFormatter

This formatter generates overstrike-style formatting, which works with pagers such as man and less.

### Methods

bold_print write_attribute_text

### Constants

BS | = | "\C-h"

### Public Instance methods

bold_print(text)

draw a string in bold

[Source]

    # File rdoc/ri/ri_formatter.rb, line 390
        def bold_print(text)
          text.split(//).each do |ch|
            print ch, BS, ch
          end
        end

write_attribute_text(prefix, line)

[Source]

    # File rdoc/ri/ri_formatter.rb, line 374
        def write_attribute_text(prefix, line)
          print prefix
          line.each do |achar|
            attr = achar.attr
            if (attr & (ITALIC+CODE)) != 0
              print "_", BS
            end
            if (attr & BOLD) != 0
              print achar.char, BS
            end
            print achar.char
          end
          puts
        end

[Validate]